| Home | Libraries | People | FAQ | More

### async_result

An interface for customising the behaviour of an initiating function.

    template<
        typename Handler>
    class async_result

##### Types

Name | Description
--- | ---
type | The return type of the initiating function.

##### Member Functions

Name | Description
--- | ---
async_result | Construct an async result from a given handler.
get | Obtain the value to be returned from the initiating function.

This template may be specialised for user-defined handler types.

##### Requirements

Header: `boost/asio/async_result.hpp`

Convenience header: `boost/asio.hpp`